Bug 1726084 (CVE-2019-13137)

Summary: CVE-2019-13137 ImageMagick: a memory leak vulnerability in the function ReadPSImage in coders/ps.c
Product: [Other] Security Response Reporter: Marian Rehak <mrehak>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED NOTABUG QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: fedora, jhorak, klember, mike, pahan
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-07-12 13:08:09 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1726085    
Bug Blocks: 1726127    

Description Marian Rehak 2019-07-02 07:50:16 UTC
ImageMagick before 7.0.8-50 has a memory leak vulnerability in the function ReadPSImage in coders/ps.c.

Upstream Issue:

https://github.com/ImageMagick/ImageMagick/issues/1601

Comment 1 Marian Rehak 2019-07-02 07:50:28 UTC
Created ImageMagick tracking bugs for this issue:

Affects: fedora-all [bug 1726085]

Comment 3 Riccardo Schirone 2019-07-05 15:30:29 UTC
Vulnerable code introduced in https://github.com/ImageMagick/ImageMagick/commit/a5eeacb1bd5536f4f53f36e4ad6fa50b4b1261ca which, according to the commit message "Added eps:fit-page to Phostscript reader."

Comment 4 Riccardo Schirone 2019-07-05 15:31:16 UTC
Statement:

This issue did not affect the versions of ImageMagick as shipped with Red Hat Enterprise Linux 5, 6, and 7 as they did not include the vulnerable code.

Comment 5 Product Security DevOps Team 2019-07-12 13:08:09 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-13137